<template>
  <ObTable
    :columns="columns"
    :items="dataSource"
    @select="selectedParticipant"
  >
    <div
      slot="domain-settings-icon"
      slot-scope="{ data }"
    >
      <i class="icon -cobalt" style="font-size: 16px" :class="'role-' + data.item.role.toLowerCase()"></i>
    </div>
  </ObTable>
</template>

<script>
  import ObTable from 'common-components/src/obComponents/obTable'

  export default {
    name: 'IndividualSettingsAddPopup',
    components: {
      ObTable
    },
    props: {
      dataSource: {
        type: Array,
        default: () => []
      }
    },
    computed: {
      columns () {
        return [
          {
            title: 'Роль',
            key: 'role_code',
            width: 80,
            slotName: 'domain-settings-icon'
          },
          {
            title: 'Данные орагнизации',
            field: 'title'
          }
        ]
      }
    },
    methods: {
      selectedParticipant (data) {
        this.$emit('open-set-popup', data)
      }
    }
  }
</script>

<style scoped>

</style>
